SDL_SetJoystickLED(3)

NAME
SDL_SetJoystickLED - Update a joystick's LED color.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetJoystickLED(SDL_Joystick *joystick, Uint8 red, Uint8 green, Uint8 blue);

DESCRIPTION
An example of a joystick LED is the light on the back of a PlayStation 4's DualShock 4 controller.

For joysticks with a single color LED, the maximum of the RGB values will be used as the LED brightness.

FUNCTION PARAMETERS

joystick
    the joystick to update.

red the intensity of the red LED.

green
    the intensity of the green LED.

blue
    the intensity of the blue LED.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.